# Uses of Interface
org.opensaml.saml.saml2.metadata.IDPSSODescriptor

Packages that use IDPSSODescriptor
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of IDPSSODescriptor in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return IDPSSODescriptor
Modifier and Type
Method
Description
`default IDPSSODescriptor`
MetadataGeneratorParameters.`getIDPSSODescriptor()`
Get the IdP role to generate.

## Uses of IDPSSODescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return IDPSSODescriptor
Modifier and Type
Method
Description
`IDPSSODescriptor`
EntityDescriptor.`getIDPSSODescriptor(String supportedProtocol)`
Gets the first `IDPSSODescriptor` role descriptor for this entity that supports the given protocol.

## Uses of IDPSSODescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement IDPSSODescriptor
Modifier and Type
Class
Description
`class`
`IDPSSODescriptorImpl`
Concrete implementation of `IDPSSODescriptor`.
Methods in org.opensaml.saml.saml2.metadata.impl that return IDPSSODescriptor
Modifier and Type
Method
Description
`IDPSSODescriptor`
IDPSSODescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`IDPSSODescriptor`
IDPSSODescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`IDPSSODescriptor`
EntityDescriptorImpl.`getIDPSSODescriptor(String supportedProtocol)`
Gets the first `IDPSSODescriptor` role descriptor for this entity that supports the given protocol.